import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { Observable } from 'rxjs/Observable';
import { Activity, ConnectionStatus, Conversation, IBotConnection } from './directLine';
interface DirectLineStreamingOptions {
    token: string;
    conversationId?: string;
    domain: string;
    botAgent?: string;
    /**
     * Sets the [`NetworkInformation` API](https://developer.mozilla.org/en-US/docs/Web/API/Network_Information_API).
     * When the `NetworkInformation` detect network changes or offline, it will disconnect the Web Socket and reconnect it.
     */
    networkInformation?: NetworkInformation;
}
export declare class DirectLineStreaming implements IBotConnection {
    #private;
    connectionStatus$: BehaviorSubject<ConnectionStatus>;
    activity$: Observable<Activity>;
    private activitySubscriber;
    private connectDeferred;
    private theStreamHandler;
    private domain;
    private conversationId;
    private token;
    private streamConnection;
    private queueActivities;
    private _botAgent;
    constructor(options: DirectLineStreamingOptions);
    reconnect({ conversationId, token }: Conversation): void;
    end(): void;
    private commonHeaders;
    private getBotAgent;
    private refreshToken;
    postActivity(activity: Activity): any;
    private postMessageWithAttachments;
    private waitUntilOnline;
    private connectAsync;
    private connectWithRetryAsync;
    private getRetryDelay;
}
export {};
